Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1240035 - velocity: FTBFS in rawhide
Summary: velocity: FTBFS in rawhide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: velocity
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:25 UTC by Dennis Gilmore
Modified: 2015-07-23 13:33 UTC (History)
6 users (show)

Fixed In Version: 1.7-18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-23 13:33:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2015-07-05 21:25 UTC, Dennis Gilmore
no flags Details
root.log (deleted)
2015-07-05 21:25 UTC, Dennis Gilmore
no flags Details
state.log (deleted)
2015-07-05 21:25 UTC, Dennis Gilmore
no flags Details
fix FTBFS (deleted)
2015-07-22 10:54 UTC, gil cattaneo
no flags Details | Diff

Description Dennis Gilmore 2015-07-05 21:25:28 UTC
Your package velocity failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10155650

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:25:29 UTC
Created attachment 1048420 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:25:30 UTC
Created attachment 1048421 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:25:31 UTC
Created attachment 1048422 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:23:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 gil cattaneo 2015-07-22 10:54:25 UTC
Created attachment 1054780 [details]
fix FTBFS

- fix BR list, change log4j with log4j12
- set javac source/target to 1.6
- disable Java8doc doclint
- remove werken-xpath Import/Export refences in manifest file
- resolve some rpmlint problems
- remove zero-length file
- introduce license macro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10435131

Comment 6 Mikolaj Izdebski 2015-07-23 10:37:36 UTC
Thanks for the patch Gil! I'm going to apply it.

Comment 7 Mikolaj Izdebski 2015-07-23 10:37:56 UTC
Fixed in velocity-1.7-18

Comment 8 Mikolaj Izdebski 2015-07-23 13:33:10 UTC
I believe that this bug is fixed in velocity-1.7-18,
which is available in Fedora 23, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=671670


Note You need to log in before you can comment on or make changes to this bug.